this.name               = "GWendgame";
this.author               = "Ramirez";
this.copyright            = "2011";
this.description         = "Worldscript for Resistance Commander endgame";
this.version            = "0.1";
              
               
this.missionScreenOpportunity = function()
{
    if(this.missing)
    {
        mission.runScreen({title: "Resistance Commander", message: this.missing, background: "GW_backdrop.png"});
        delete this.missing;
    }
	
	if(player.ship.docked) this.missionScreens();
	
}

this.shipDockedWithStation = function()

{	if(this.GWTimer)
	{if(this.GW_count < 10)
	this.GWTimer.stop()
	delete this.GWTimer}}



this.missionScreens = function()

{	if(guiScreen == "GUI_SCREEN_MISSION" || !player.ship.docked) return;

	
	if(missionVariables.GW_mission == "NONE_SET" && missionVariables.GW_bluefor_morale > 99999999)
	
	{	if(system.ID == 221)
		{mission.runScreen({title: "Resistance Command", messageKey: "GW_endgame_1A", background: "GW_backdrop.png"})
		missionVariables.GW_mission = "ENDGAME_1A"
		mission.setInstructionsKey("GW_endgame_1A_brief")
		return;}
	else
		{mission.runScreen({title: "Resistance Command", messageKey: "GW_endgame_0"})
		missionVariables.GW_mission = "ENDGAME_0"
		mission.setInstructionsKey("GW_endgame_0_brief")
		return;}
	}
	
	if(player.ship.dockedStation.hasRole("GW-behemoth"))
	{
	if(missionVariables.GW_mission == "ENDGAME_1A")
		{	  mission.runScreen({title: "Operation ENVOY: Briefing", messageKey: "GW_endgame_1B", choicesKey: "GW_continue_choices", background: "GW_backdrop.png"},
				function(choice)
				{if(choice == "GW_continue")
			    {mission.runScreen({title: "Operation ENVOY: Briefing", messageKey: "GW_endgame_1C", background: "GW_backdrop.png"});
			    missionVariables.GW_mission = "ENDGAME_1C"
				mission.setInstructionsKey("GW_endgame_1C_brief")
				missionVariables.GW_endgame_kills = 0}
                    });			
		
		}			
	
	if(missionVariables.GW_mission == "ENDGAME_1D") //to be called when mines are destroyed - see target script
			{mission.runScreen({title: "Operation ENVOY: Debriefing", messageKey: "GW_endgame_1E"})
			missionVariables.GW_mission = "ENDGAME_1E"
			mission.setInstructionsKey("GW_endgame_1E_brief")
			missionVariables.GW_endgame_kills = null}
		
	if(missionVariables.GW_mission == "ENDGAME_1F")
			{mission.runScreen({title: "Operation ENVOY: Briefing", messageKey: "GW_endgame_2A", choicesKey: "GW_continue_choices"},
			function(choice)
			{if(choice == "GW_continue")
			{mission.runScreen({title: "Operation ENVOY: Briefing", background: "map.png", messageKey: "GW_endgame_2B"});
			missionVariables.GW_mission = "ENDGAME_2B"}
			});
			}
		}
}


this.shipWillLaunchFromStation = function()
{
	
	
	if(missionVariables.GW_mission == "ENDGAME_1A" && system.ID == 221)
		{if(system.countShipsWithRole("GW-behemoth") == 0)
				{system.legacy_addSystemShips("GW-behemoth", 1, 0.9)
				system.legacy_addSystemShips("GW-behemoth-biarra", 1, 0.9)
				system.legacy_addSystemShips("GW-behemoth-solaerin", 1, 0.9)}	
		}
	
	if(missionVariables.GW_mission == "ENDGAME_1E" || missionVariables.GW_mission == "ENDGAME_2B")
	{
		if(!this.GWTimer)
		{this.GWTimer = new Timer(this, this.GWreply, null, 1)
		this.GW_count = 0}
		
		else
		{this.GWTimer.start();}
		
	}
	
	if(missionVariables.GW_mission == "ENDGAME_2B")
	   
	{	if(system.ID == 189)
		{	if(system.shipsWithRole("GW-astrofactory") == 0)
				{system.legacy_addShipsAtPrecisely("GW-astrofactory", 1, "pwm", [-36055, 60672, 444676])}
			if(system.shipsWithRole("GW-behemoth-biarra") == 0)
				{system.legacy_addSystemShips("GW-behemoth-biarra", 1, 0.0)
				system.legacy_addSystemShips("GW-behemoth-solaerin", 1, 0.0)}						
				
			if(!this.teleport)	
			{var behemoth = system.shipsWithRole("GW-behemoth")[0]
			behemoth.position = [39033, -40064, 175267]
			var biarra = system.shipsWithRole("GW-behemoth-biarra")[0]
			var solaerin = system.shipsWithRole("GW-behemoth-solaerin")[0]
			biarra.position = behemoth.position.add([0,10000,0])
			solaerin.position = behemoth.position.add([0,-10000,0])
			player.ship.position = behemoth.position.add([0,0,500])
			player.ship.orientation = behemoth.orientation
			this.teleport = "true"}
			
		
		}
	   
	   }
	
	
}



this.shipExitedWitchspace = function()
{
	
	if(missionVariables.GW_mission == "ENDGAME_1C" && system.ID == 159 ) // Laquused
	{
		
	system.legacy_addShipsWithinRadius("GW-mine", 30, "wpm", [0, 0, 70000], 2500)
	system.legacy_addShipsWithinRadius("GW-mine", 30, "wpm", [0, 5000, 70000], 2500)
	system.legacy_addShipsWithinRadius("GW-mine", 30, "wpm", [0, -5000, 70000], 2500)
	system.legacy_addShipsWithinRadius("GW-mine", 30, "wpm", [0, -10000, 70000], 2500)
	system.legacy_addShipsWithinRadius("GW-mine", 30, "wpm", [0, 10000, 70000], 2500)
	system.legacy_addShipsWithinRadius("GW-mine", 30, "wpm", [0, -15000, 70000], 2000)
	system.legacy_addShipsWithinRadius("GW-mine", 30, "wpm", [0, 15000, 70000], 2000)
	system.legacy_addShipsAtPrecisely("GW-bluefor", 10, "wpm", [0, 20000, 70000])
	
	if(missionVariables.GW_mission == "ENDGAME_1E")
	{missionVariables.GW_mission = "ENDGAME_1F"
	if(system.ID == 189)
	system.legacy_addShipsAtPrecisely("astrofactory", 1, "pwm", [-36055, 60672, 444676])}
	
	
	if(!this.GWTimer)
		{this.GWTimer = new Timer(this, this.GWreply, null, 1)
		this.GW_count = 0}
		
		else
		{
		this.GWTimer.start();
		log('timer started')}	
	}
	
	if(missionVariables.GW_mission == "ENDGAME_1E" && system.ID == 189 ) // Riratea
	{system.legacy_addSystemShips("GW-behemoth-biarra", 1, 0.9)
	system.legacy_addSystemShips("GW-behemoth-solaerin", 5, 0.9)}
		
}


this.GWreply = function()
{	++this.GW_count
	//log(this.GW_count)
	
	if(missionVariables.GW_mission == "ENDGAME_1C")
		{	if(this.GW_count == 10)
			player.commsMessage("Resistance Command: The minefield should be about 60 clicks ahead, towards the planet.", 8)
			if(this.GW_count == 300)
			player.commsMessage("Resistance Command: Hurry up, Commander.  We need the minefield cleared so the fleet can exit witchspace safely.", 8)
		}
	if(missionVariables.GW_mission == "ENDGAME_1D")
		{player.commsMessage("Resistance Command: OK, that should be enough.  The fleet will be arriving at the witchpoint shortly. Rendezvous with the flagship.", 8)
		system.legacy_addSystemShips("GW-behemoth", 1, 0.0)
		system.legacy_addSystemShips("GW-behemoth-ceused", 1, 0.0)
		system.legacy_addSystemShips("GW-behemoth-solaerin", 1, 0.0)
		this.GWTimer.stop()
		delete this.GWTimer
		}
	
	
	
	
	if(missionVariables.GW_mission == "ENDGAME_xx")
	
	
	
	
		{	
		
		if(this.GW_count == 10)
		behemoth.commsMessage("Attention all ships, prepare for hyperspace.")
		if(this.GW_count == 20)
		behemoth.commsMessage("Engaging witchdrive...")
		if(this.GW_count == 25)
		{behemoth.exitSystem(159)
		this.GWTimer.stop()
		delete this.GWTimer}
		}
	if(missionVariables.GW_mission == "ENDGAME_1E")
		{
		var behemoth = system.shipsWithRole("GW-behemoth")[0]
		var solaerin = system.shipsWithRole("GW-behemeoth-solaerin")[0]
		var biarra = system.shipsWithRole("GW-behemoth-biarra")[0]
		if(this.GW_count == 10)
		{behemoth.commsMessage("All ships, set a course for Riratea.")
		log('behemoth comms message')}
		if(this.GW_count == 20)
		behemoth.commsMessage("Engaging witchdrive...")
		if(this.GW_count == 25)
		behemoth.exitSystem(189) //Riratea
		if(this.GW_count == 29)
		solaerin.exitSystem(189)
		if(this.GW_count == 34)
		{biarra.exitSystem(189)
		this.GWTimer.stop()
		delete this.GWTimer}
		}
		
		
		if(missionVariables.GW_mission == "ENDGAME_2B")
		{
		var behemoth = system.shipsWithRole("GW-behemoth")[0]
		if(this.GW_count == 20)
		behemoth.commsMessage("ANCHOR, BAJA, proceed to the astrofactory.  Watch out for enemy units.")
		if(this.GW_count == 35)
		{player.commsMessage("Roger MAGIC, we're beginning our approach")
		//behemoth.launchShip("GW-transporter")
		}
		if(this.GW_count == 50)
		behemoth.commsMessage("ROULETTE-1, scanner trace at 50 clicks.  Please investigate.")
		if(this.GW_count == 57)
		player.commsMessage("Roger MAGIC, please send coordinates.")
		if(this.GW_count == 65)
		{behemoth.commsMessage("ROULETTE-1, sending data.  Target designated as beacon-X.")
		system.legacy_addSystemShips("GW-censor-leader", 1, 0.5)
		system.legacy_addSystemShips("GW-quaestor", 4, 0.5)}
		if(this.GW_count == 72)
		player.commsMessage("Copy MAGIC, compass set and locked, investigating now.")
		
		if(missionVariables.GW_mission == "ENDGAME_EVACUATE")
		{this.GW_count = 0
		player.commsMessage("MAGIC, this is ANCHOR.  We're in position.  The first transport is launching now")}
		
		if(this.GW_count == "xxx")
		{player.commsMessage("dfdnvestigate.")
		this.GWTimer.stop()
		delete this.GWTimer}
		}
		
}
