this.name               = "GWmain";
this.author               = "Ramirez";
this.copyright            = "September 2011";
this.description         = "World script for Guerilla War";
this.version            = "0.4";

this.startUp = function()
{
	 // search for pressence of dependent oxps
    if (!worldScripts["dictators.js"])
    {
        this.missing = "Dictators";
    }
    //if (!worldScripts["behemoth"])
    //{
    //    if (this.missing) this.missing += ", Behemoth";
    //    else this.missing = "Behemoth";
   // }
  
    if (this.missing)
    {
        this.missing = " The following OXP(s) are missing: "+this.missing+". Please install them and restart Oolite. ";
        this.missing += "They are essentional for the correct functioning of Resistance Commander.";
    }

	
	
}

this.defineAvailableModels = function()

{ this.availableModels = new Array()
	
	availableModels[0] = "fuel reprocessing facility"
	availableModels[1] = "area defence cannon"
	availableModels[2] = "hyperspace jumpgate"
	availableModels[3] = "communications satellite"
	availableModels[4] = "early warning station"
	//availableModels[5] = "trading post"
	
	if(worldScripts.communist_population)
	{availableModels.push('Solar Research Laboratory')
	availableModels.push('prison facility')
	availableModels.push('factory')}
	//if(worldScripts.GRS)
	//availableModels.push('Buoy Repair Facility')
	
	
	//log(availableModels)	
}
	
	
this.defineTargetRole = function()

{  
    if(missionVariables.GW_opfor_target_name == "fuel reprocessing facility")
    missionVariables.GW_opfor_target_role = "GW-fuel-processor"
    if(missionVariables.GW_opfor_target_name == "communications satellite")
    missionVariables.GW_opfor_target_role = "GW-comms-station"
    if(missionVariables.GW_opfor_target_name == "area defence cannon")
    missionVariables.GW_opfor_target_role = "GW-cannon-core"
    if(missionVariables.GW_opfor_target_name == "early warning station")
    missionVariables.GW_opfor_target_role = "GW-comms-station"
    if(missionVariables.GW_opfor_target_name == "Rock Hermit")
    missionVariables.GW_opfor_target_role = "GW-rock-hermit"
    if(missionVariables.GW_opfor_target_name == "hyperspace jumpgate")
    missionVariables.GW_opfor_target_role = "GW-gate"
    if(missionVariables.GW_opfor_target_name == "Solar Research Laboratory")
    missionVariables.GW_opfor_target_role = "GW-slapu"
	if(missionVariables.GW_opfor_target_name == "prison facility")
    missionVariables.GW_opfor_target_role = "GW-prison"
	if(missionVariables.GW_opfor_target_name == "factory")
    missionVariables.GW_opfor_target_role = "GW-factory"
	
	//if(missionVariables.GW_opfor_target_name == "Buoy Repair Facility")
    //missionVariables.GW_opfor_target_role = "GW-GRS"
	
	
	
}
	
	
this.defineAvailableShips = function()

{	this.availableShips = new Array()

	availableShips[0] = "Mamba Armed Racer"
	availableShips[1] = "Krait Assault Craft"
	availableShips[2] = "Gecko Bomber"
	availableShips[3] = "Moray Gunship"

	//log(availableShips)
}

this.defineUnitRoleKey = function()

{	if(this.availableShips[this.shipCount] == "Mamba Armed Racer")
	this.unitRoleKey = "mamba"
	if(this.availableShips[this.shipCount] == "Krait Assault Craft")
	this.unitRoleKey = "krait"
	if(this.availableShips[this.shipCount] == "Gecko Bomber")
	this.unitRoleKey = "gecko"
	if(this.availableShips[this.shipCount] == "Moray Gunship")
	this.unitRoleKey = "moray"
}



this.activated = function()

{	if(missionVariables.GW_mission != "NONE_SET")
	    {	if(player.ship.GWcontrolpanel == true)
			worldScripts.GWcontrolpanel.deactivateControlPanel()
			else
			worldScripts.GWcontrolpanel.activateControlPanel()		
	    }
	
	else
	player.consoleMessage("Negative, squadron not active")
}

this.shipDockedWithStation = function()

{		if(player.ship.GWcontrolpanel == true)
		{worldScripts.GWcontrolpanel.deactivateControlPanel()}
	
	this.removeActiveUnits()
}


this.missionScreenOpportunity = function ()
{
    if(this.missing)
    {
        mission.runScreen({title: "Resistance Commander", message: this.missing, background: "GW_backdrop.png"});
        delete this.missing;
    }
	
	
}



this.guiScreenChanged = function()

{	if(!player.ship.docked)
	return;

	if(player.ship.dockedStation.isMainStation && galaxyNumber == 4)
		{if(system.ID == 221 || system.ID == 66 || system.ID == 98 || system.ID == 136 || system.ID == 200)
			{if(guiScreen == "GUI_SCREEN_SYSTEM_DATA")
			this.missionScreens()}}
			
	if(player.ship.dockedStation.hasRole("GW-behemoth"))
		{if(guiScreen == "GUI_SCREEN_SYSTEM_DATA")
			this.missionScreens()}

}



this.checkUnitDistance = function()

{
    this.GWunits = system.shipsWithRole("GWunit")
    for (var i=0; i<this.GWunits.length; i++)
        {    
        this.playerDistance = this.GWunits[i].position.distanceTo(player.ship.position);
        if(this.playerDistance < 20000)
        return;    
        else
            {
            player.consoleMessage('WARNING: '+GWunits[i].displayName+' failed to hyperspace', 10)
            missionVariables.GW_mission_points -= 50    
            if(GWunits[i].primaryRole.indexOf(1) != -1)
            missionVariables.GW_unit1_status = "Inactive"
            if(GWunits[i].primaryRole.indexOf(2) != -1)
            missionVariables.GW_unit2_status = "Inactive"
            if(GWunits[i].primaryRole.indexOf(3) != -1)
            missionVariables.GW_unit3_status = "Inactive"
            if(GWunits[i].primaryRole.indexOf(4) != -1)
            missionVariables.GW_unit4_status = "Inactive"  
            }
        worldScripts.GWunitstatus.updateUnitStatus()
        }   
}

this.spawnActiveUnits = function()
{  	if(missionVariables.GW_unit1_status == "Active")
	system.addShips([missionVariables.GW_unit1_role], 1, player.ship.position, 10000)
    if(missionVariables.GW_unit2_status == "Active")
    system.addShips([missionVariables.GW_unit2_role], 1, player.ship.position, 10000)
    if(missionVariables.GW_unit3_status == "Active")
    system.addShips([missionVariables.GW_unit3_role], 1, player.ship.position, 10000)
    if(missionVariables.GW_unit4_status == "Active")
    system.addShips([missionVariables.GW_unit4_role], 1, player.ship.position, 10000)
}


this.removeActiveUnits = function()
{   
    var activeUnits = system.shipsWithRole("GWunit")
	
	for (var i = 0; i<activeUnits.length; i++)
	{activeUnits[i].remove(true)}
}

this.unitResponse = function()
{   
    if(this.count == this.commandTarget.length -1)
    {this.responseTimer.stop();}
    if(this.count < this.commandTarget.length - 1)
        {++this.count
        if(missionVariables.unitOrder == "regroup")
	    {this.commandTarget[this.count].switchAI("GW-wingmanAI.plist")
	    this.commandTarget[this.count].commsMessage("Roger, returning to formation.")}
		if(missionVariables.unitOrder == "hold")
	    {this.commandTarget[this.count].switchAI("GW-holdAI.plist")
	    this.commandTarget[this.count].commsMessage("Roger, holding position.")}
        if(missionVariables.unitOrder == "engage")
	    {this.commandTarget[this.count].target = null
	    this.commandTarget[this.count].target = player.ship.target
	    this.commandTarget[this.count].switchAI("GW-interceptAI.plist")
	    this.commandTarget[this.count].commsMessage(expandDescription("[GW_engage_message]"+player.ship.target.name+"."))
		this.commandTarget[this.count].fireMissile()}
		if(missionVariables.unitOrder == "sweep")
	    {this.commandTarget[this.count].switchAI("GW-sweepAI.plist")
	    this.commandTarget[this.count].commsMessage(expandDescription("[GW_sweep_message]"))}
		if(missionVariables.unitOrder == "hyperspace")
		{this.playerDistance = this.commandTarget[this.count].position.distanceTo(player.ship.position)
		if(this.playerDistance < 20000)
		this.commandTarget[this.count].commsMessage(expandDescription("[GW_distanceOK_message]"));
		else
		this.commandTarget[this.count].commsMessage(expandDescription("[GW_distanceBAD_message]"))}
		if(missionVariables.unitOrder == "checkin")
		this.commandTarget[this.count].commsMessage(expandDescription("[GW_checkin_message]"))}
		if(this.count == this.commandTarget.length)
        {this.responseTimer.stop();} 
}



this.issueOrder = function()
{
//log('timer set up')
this.responseTimer = new Timer(this, this.unitResponse, null, 1)
this.count = -1
this.responseTimer.start();
this.locateCommandTarget()
worldScripts.GWcontrolpanel.setUnitPanel()}


this.checkInUnits = function()
{missionVariables.unitSelection = "GWunit"
missionVariables.unitOrder = "checkin"
this.responseTimer = new Timer(this, this.unitResponse, 3, 1)
this.count = -1
this.responseTimer.start();
this.locateCommandTarget()}

this.locateCommandTarget = function()
{this.commandTarget = system.shipsWithRole(missionVariables.unitSelection)}




	
this.missionScreens = function()
{	
    
	worldScripts.GWpromotions.checkForPromotions()
	
	if(missionVariables.GW_status == null)
        {mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_welcome",  choicesKey: "GW_accept_choices"}, this.choiceEvaluation);
        missionVariables.GW_status = "COMMAND_OFFERED"}
    
	if(missionVariables.GW_status == "ACTIVE")
	    {mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_menu",  choicesKey: "GW_menu_choices"}, this.choiceEvaluation);
	    missionVariables.GW_menu_page = "page1"}

	worldScripts.GWpromotions.checkForPromotions()
	worldScripts.GWpromotions.runPromotionScreen()
}


this.updateMoraleStats = function()
{
	this.GW_bluefor_ratio = (missionVariables.GW_bluefor_morale/2000)*50
	this.GW_opfor_ratio = (missionVariables.GW_opfor_morale/2000)*50
	missionVariables.GW_bluefor_graph = "-"
	missionVariables.GW_opfor_graph = "-"

	for (var i=1; i<this.GW_bluefor_ratio; i++)
		{missionVariables.GW_bluefor_graph = missionVariables.GW_bluefor_graph + "-"}

	for (var j=0; j<this.GW_opfor_ratio; j++)
		{missionVariables.GW_opfor_graph = missionVariables.GW_opfor_graph + "-"}
}


this.defineMissionLocationNo = function()
{  var nearbySystems = SystemInfo.systemsInRange(15)
	var systemSelection = nearbySystems[Math.floor(Math.random()*nearbySystems.length)]
	missionVariables.GW_mission_location_no = systemSelection.systemID
	if(missionVariables.GW_mission_location_no == system.ID)
	this.defineMissionLocationNo()}

this.defineMissionLocationName = function()
{missionVariables.GW_mission_location_name = System.systemNameForID([missionVariables.GW_mission_location_no])}


this.GW_defendOrder = function()
{   mission.runScreen({messageKey: "GW_mission_defend"})
    missionVariables.GW_mission = "DEFEND_RUNNING"
	missionVariables.GW_mission_location_no = system.ID
    mission.setInstructionsKey("GW_mission_defend_instructions")
    missionVariables.GW_small_opfor_no = (Math.floor(Math.random()*5) + 10)
	missionVariables.GW_medium_opfor_no = (Math.floor(Math.random()*2) + 1)}
    
this.GW_ambushOrder = function()
{   this.defineMissionLocationNo()
    this.defineMissionLocationName()
	missionVariables.GW_transport_opfor_no = (Math.floor(Math.random()*3)+3);
	missionVariables.GW_medium_opfor_no = (Math.floor(Math.random()*2));
	missionVariables.GW_transport_opfor_kills = 0
	mission.markSystem([missionVariables.GW_mission_location_no])
    mission.runScreen({messageKey: "GW_mission_ambush"})
    missionVariables.GW_mission = "AMBUSH_RUNNING"
    mission.setInstructionsKey("GW_mission_ambush_instructions")}
    
this.GW_assassinateOrder = function()
{   this.defineMissionLocationNo()
    this.defineMissionLocationName()
	this.defineAvailableModels()
	missionVariables.GW_opfor_target_name = this.availableModels[Math.floor(Math.random()*this.availableModels.length)]
	this.defineTargetRole()
	missionVariables.GW_mission_vip_name = expandDescription("[GW_high_rank]") + " " + expandDescription("[nom1]")
	mission.markSystem([missionVariables.GW_mission_location_no])
	missionVariables.GW_small_opfor_no = (Math.floor(Math.random()*5)+7);
    mission.runScreen({messageKey: "GW_mission_assassinate"})
    missionVariables.GW_mission = "ASSASSINATE_RUNNING"
    mission.setInstructionsKey("GW_mission_assassinate_instructions")}   

this.GW_assaultOrder = function()
{   this.defineMissionLocationNo()
    this.defineMissionLocationName()
	mission.markSystem([missionVariables.GW_mission_location_no])
	this.defineAvailableModels()
	missionVariables.GW_opfor_target_name = this.availableModels[Math.floor(Math.random()*this.availableModels.length)]
    this.defineTargetRole()
    missionVariables.GW_medium_opfor_no = (Math.floor(Math.random()*2)+1);
    missionVariables.GW_small_opfor_no = (Math.floor(Math.random()*1)+5);
    mission.runScreen({messageKey: "GW_mission_assault"})
    missionVariables.GW_mission = "ASSAULT_RUNNING"
    mission.setInstructionsKey("GW_mission_assault_instructions")}
    
this.GW_clearOrder = function()
{   this.defineMissionLocationNo()
    this.defineMissionLocationName()
	this.defineAvailableModels()
	missionVariables.GW_opfor_target_name = this.availableModels[Math.floor(Math.random()*this.availableModels.length)]
	this.defineTargetRole()
	mission.markSystem([missionVariables.GW_mission_location_no])
	missionVariables.GW_small_opfor_no = (Math.floor(Math.random()*10)+15);
	missionVariables.GW_medium_opfor_no = (Math.floor(Math.random()*2)+1);
    mission.runScreen({messageKey: "GW_mission_clear"})
    missionVariables.GW_mission = "CLEAR_RUNNING"
    mission.setInstructionsKey("GW_mission_clear_instructions")}
	
this.GW_assistOrder = function()
{   this.defineMissionLocationNo()
    this.defineMissionLocationName()
	mission.markSystem([missionVariables.GW_mission_location_no])
	missionVariables.GW_small_opfor_no = (Math.floor(Math.random()*10)+20);
	missionVariables.GW_medium_opfor_no = (Math.floor(Math.random()*2)+3);
	missionVariables.GW_large_opfor_no = (Math.floor(Math.random()*1));
    mission.runScreen({messageKey: "GW_mission_assist"})
    missionVariables.GW_mission = "ASSIST_RUNNING"
    mission.setInstructionsKey("GW_mission_assist_instructions")}
	

this.reset_GW_unit1 = function()
{missionVariables.GW_unit1_name = randomName().charAt(0)+". "+randomName()
missionVariables.GW_unit1_race = randomInhabitantsDescription(false)
missionVariables.GW_unit1_kills = 0
missionVariables.GW_unit1_missions = 0
missionVariables.GW_unit1_status = "Active"
missionVariables.GW_unit1_rank_no = 1
missionVariables.GW_unit1_rank = expandDescription("[GW_unit_rank_"+missionVariables.GW_unit1_rank_no+"]")
missionVariables.GW_unit1_history = clock.days + " - enlisted into "+ missionVariables.GW_player_squadron}

this.reset_GW_unit2 = function()
{missionVariables.GW_unit2_name = randomName().charAt(0)+". "+randomName()
missionVariables.GW_unit2_race = randomInhabitantsDescription(false)
missionVariables.GW_unit2_kills = 0
missionVariables.GW_unit2_missions = 0
missionVariables.GW_unit2_status = "Active"
missionVariables.GW_unit2_rank_no = 1
missionVariables.GW_unit2_rank = expandDescription("[GW_unit_rank_"+missionVariables.GW_unit2_rank_no+"]")
missionVariables.GW_unit2_history = clock.days + " - enlisted into "+ missionVariables.GW_player_squadron}

this.reset_GW_unit3 = function()
{missionVariables.GW_unit3_name = randomName().charAt(0)+". "+randomName()
missionVariables.GW_unit3_race = randomInhabitantsDescription(false)
missionVariables.GW_unit3_kills = 0
missionVariables.GW_unit3_missions = 0
missionVariables.GW_unit3_status = "Active"
missionVariables.GW_unit3_rank_no = 1
missionVariables.GW_unit3_rank = expandDescription("[GW_unit_rank_"+missionVariables.GW_unit3_rank_no+"]")
missionVariables.GW_unit3_history = clock.days + " - enlisted into "+ missionVariables.GW_player_squadron}

this.reset_GW_unit4 = function()
{missionVariables.GW_unit4_name = randomName().charAt(0)+". "+randomName()
missionVariables.GW_unit4_race = randomInhabitantsDescription(false)
missionVariables.GW_unit4_kills = 0
missionVariables.GW_unit4_missions = 0
missionVariables.GW_unit4_status = "Active"
missionVariables.GW_unit4_rank_no = 1
missionVariables.GW_unit4_rank = expandDescription("[GW_unit_rank_"+missionVariables.GW_unit4_rank_no+"]")
missionVariables.GW_unit4_history = clock.days + " - enlisted into "+ missionVariables.GW_player_squadron}

this.initialiseUnits = function()
{this.reset_GW_unit1()
this.reset_GW_unit2()
this.reset_GW_unit3()
this.reset_GW_unit4()}

this.resetUnitRoles = function()
{missionVariables.GW_unit1_role = "GW_unit1_mamba"
missionVariables.GW_unit2_role = "GW_unit2_mamba"
missionVariables.GW_unit3_role = "GW_unit3_mamba"
missionVariables.GW_unit4_role = "GW_unit4_mamba"
missionVariables.GW_unit1_shipname = "Mamba Armed Racer"
missionVariables.GW_unit2_shipname = "Mamba Armed Racer"
missionVariables.GW_unit3_shipname = "Mamba Armed Racer"
missionVariables.GW_unit4_shipname = "Mamba Armed Racer"}

this.updateMissionStats = function()
{mission.unmarkSystem(missionVariables.GW_mission_location_no)
++missionVariables.GW_unit1_missions
++missionVariables.GW_unit2_missions
++missionVariables.GW_unit3_missions
++missionVariables.GW_unit4_missions
++missionVariables.GW_player_missions
missionVariables.GW_opfor_destroyed += missionVariables.GW_mission_kills
missionVariables.GW_bluefor_casualties += missionVariables.GW_mission_losses
missionVariables.GW_mission_kills = null
missionVariables.GW_mission_losses = null
missionVariables.GW_mission_points = null
mission.setInstructionsKey(null)
missionVariables.GW_mission_location_no = null
missionVariables.GW_mission_location_name = null
missionVariables.GW_mission_opfor_target_role = null
missionVariables.GW_mission_opfor_target_name = null
missionVariables.GW_mission_vip_name = null
missionVariables.GW_transport_opfor_kills = null
missionVariables.GW_small_opfor_no = null
missionVariables.GW_medium_opfor_no = null
}

this.choiceEvaluation = function(choice)

    {
        
    if(missionVariables.GW_status == "COMMAND_OFFERED")
    
    {   if(choice == "GW_accept")
            {   if(player.score < 128)
                    {mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_reject_1"});
                    missionVariables.GW_status = "DECLINED"}
                if(player.score > 127 && player.score < 1000)
                    {mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_reject_2"});
                    missionVariables.GW_status = "DECLINED"}      
                if(player.score >= 1000)
                    {missionVariables.GW_player_squadron = expandDescription("[GW_squadron_name]")
					mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_accept", choicesKey: "GW_continue_choices"}, this.choiceEvaluation);
                    missionVariables.GW_status = "COMMAND_ACCEPTED"
					this.initialiseUnits()
					this.resetUnitRoles()}
    
        if(choice == "GW_decline")
                    {  mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_decline"}, this.choiceEvaluation);
                    missionVariables.GW_status = "DECLINED"}   
            
        }   
    }
    
    if(missionVariables.GW_status == "COMMAND_ACCEPTED")
        {if(choice == "GW_continue")
            {  mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_menu",  choicesKey: "GW_menu_choices"}, this.choiceEvaluation);
                missionVariables.GW_status = "ACTIVE"
                missionVariables.GW_mission = "NONE_SET"
                missionVariables.GW_menu_page = "page1"
                missionVariables.GW_loadout = "FALSE"
                missionVariables.GW_personnel = "FALSE"
		missionVariables.GW_player_kills = 0
		missionVariables.GW_player_missions = 0
		missionVariables.GW_opfor_morale = 1000
		missionVariables.GW_bluefor_morale = 1000
		missionVariables.GW_opfor_destroyed = 0
		missionVariables.GW_bluefor_casualties = 0
		this.updateMoraleStats()
		player.ship.awardEquipment("EQ_GW_CONTROL_PANEL")
		player.ship.awardEquipment("EQ_MULTI_TARGET")
}   
            }
      
    if(missionVariables.GW_menu_page == "page1")
    
    {   if(choice == "GW_A_personnel")
    
        {   if(missionVariables.GW_personnel == "FALSE")
            
                {mission.runScreen({title: "Personnel Files", background: "GW_backdrop.png", messageKey: "GW_personnel_welcome", choicesKey: "GW_continue_choices"}, this.choiceEvaluation);
                worldScripts.GWunitstatus.updateUnitStatus()
                missionVariables.GW_personnel_page = "page0"
                missionVariables.GW_personnel = null}
              
            else
            {mission.runScreen({title: "Personnel Files", messageKey: "GW_personnel_1", background: "GW_"+[missionVariables.GW_unit1_status]+".png", choicesKey: "GW_personnel_choices"}, this.choiceEvaluation);
            missionVariables.GW_personnel_page = "page1"
            missionVariables.GW_menu_page = null}
        } 
        
        if(choice == "GW_B_loadout")
        
		{	this.defineAvailableShips()
            
            if(missionVariables.GW_loadout == "FALSE")
            
                {mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_loadout_welcome", choicesKey: "GW_continue_choices"}, this.choiceEvaluation); 
                missionVariables.GW_loadout_page = "page0"
                missionVariables.GW_loadout = null
				this.shipCount = 0}
		
            else
            
            {mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_loadout_1",  model: [missionVariables.GW_unit1_role], choicesKey: "GW_loadout_choices"}, this.choiceEvaluation);
			mission.addMessageText(expandMissionText(missionVariables.GW_unit1_shipname+" specs"))
            mission.displayModel.position=[50,40,250]
			missionVariables.GW_loadout_page = "page1"
            missionVariables.GW_menu_page = null
			this.shipCount = 0}
            
        if(choice == "GW_E_exit")
		{missionVariables.GW_menu_page = null
        return;}
		}

	if(choice == "GW_D_ops")
        
		{missionVariables.GW_ops_page = "page1"
		mission.runScreen({title: "Resistance Command", background: "GW_opsroom.png", messageKey: "GW_ops_room", choicesKey: "GW_continue_choices"}, this.choiceEvaluation); 
        missionVariables.GW_menu_page = null}
    
    if(choice == "GW_C_mission")

        {
			if(missionVariables.GW_mission.indexOf("SUCCESS") > 1)
			{	if(missionVariables.GW_mission == "DEFEND_SUCCESS")
				mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_mission_defend_debrief"})
				if(missionVariables.GW_mission == "AMBUSH_SUCCESS")
				mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_mission_ambush_debrief"})
				if(missionVariables.GW_mission == "ASSASSINATE_SUCCESS")
				mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_mission_assassinate_debrief"})
				if(missionVariables.GW_mission == "ASSIST_SUCCESS")
				mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_mission_assist_debrief"})
				if(missionVariables.GW_mission == "CLEAR_SUCCESS")
				mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_mission_clear_debrief"})
				if(missionVariables.GW_mission == "ASSAULT_SUCCESS")
				mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_mission_assault_debrief"});
				missionVariables.GW_mission = "NONE_SET"
				mission.addMessageText(expandMissionText("GW_mission_stats"))
				missionVariables.GW_bluefor_morale += missionVariables.GW_mission_points
				missionVariables.GW_opfor_morale -= missionVariables.GW_mission_points
				this.updateMissionStats()
				this.updateMoraleStats()
				return;
			}
				
				
			if(missionVariables.GW_mission == "NONE_SET")
                {missionVariables.GW_mission_kills = 0
				missionVariables.GW_mission_losses = 0
				missionVariables.GW_mission_points = 0
				
				if(missionVariables.GW_bluefor_morale > 1800)
				{mission.runScreen({title: "Mission Instructions", background: "GW_backdrop.png", messageKey: "GW_mission_victory"})
				this.removeGW()
				return;}
				
				if(missionVariables.GW_opfor_morale > 1800)
				{mission.runScreen({title: "Mission Instructions", background: "GW_backdrop.png", messageKey: "GW_mission_flee"})
				this.removeGW()
				return;}
			
				
				else
				this.GW_selectMission = null	
				this.GW_selectMission = (Math.floor(Math.random()*10))
				
				//this.GW_selectMission = 5
                
                if(this.GW_selectMission == 0)
                this.GW_defendOrder()
                
                if(this.GW_selectMission > 0 && this.GW_selectMission < 3)
                this.GW_assaultOrder()
				
                if(this.GW_selectMission > 8)
				this.GW_assassinateOrder()
                
                if(this.GW_selectMission > 2 && this.GW_selectMission < 5)
                this.GW_ambushOrder()
                
                if(this.GW_selectMission > 4 && this.GW_selectMission < 7)
                this.GW_clearOrder()
				
				if(this.GW_selectMission > 6 && this.GW_selectMission < 9)
                this.GW_assistOrder()
				return;
				}
			
			if(missionVariables.GW_mission.indexOf("RUNNING") > 1)
				{mission.runScreen({title: "Mission Instructions", background: "GW_backdrop.png", messageKey: "GW_mission_defer", choicesKey: "GW_defer_choices"}, this.choiceEvaluation);
				missionVariables.GW_commander_page = "page1"
	            missionVariables.GW_menu_page = null
				return;}
			
			if(missionVariables.GW_mission.indexOf("ENDGAME") > -1)
				{mission.runScreen({title: "Mission Instructions", background: "GW_backdrop.png", messageKey: "GW_mission_defer"});
				missionVariables.GW_commander_page = "page1"
	            missionVariables.GW_menu_page = null
				return;}
			
			if(missionVariables.GW_mission.indexOf("FAILURE") > 1)
				{mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_mission_failure"})
				mission.addMessageText(expandMissionText("GW_mission_stats"))
				missionVariables.GW_mission = "NONE_SET"
				missionVariables.GW_bluefor_morale += (missionVariables.GW_mission_points - 100)
				missionVariables.GW_opfor_morale -= (missionVariables.GW_mission_points - 100)
				this.updateMissionStats()
				this.updateMoraleStats()
				missionVariables.GW_commander_page = "page1"
				missionVariables.GW_menu_page = null}
		}
    }
     
    if(missionVariables.GW_commander_page)
    
    {	
	if(choice == "GW_A_continue")
        {mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_menu",  choicesKey: "GW_menu_choices"}, this.choiceEvaluation);
        missionVariables.GW_menu_page = "page1"
		missionVariables.GW_commander_page = null}

	if(choice == "GW_B_abort")
		{mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_mission_failure"})
		mission.addMessageText(expandMissionText("GW_mission_stats"))
		missionVariables.GW_mission = "NONE_SET"
		missionVariables.GW_bluefor_morale += (missionVariables.GW_mission_points - 100)
		missionVariables.GW_opfor_morale -= (missionVariables.GW_mission_points - 100)
		this.updateMissionStats()
		this.updateMoraleStats()
		missionVariables.GW_commander_page = "page1"
        missionVariables.GW_menu_page = null}
    }
    
	if(missionVariables.GW_ops_page)

		{ if(choice == "GW_continue")
        {mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_menu",  choicesKey: "GW_menu_choices"}, this.choiceEvaluation);
        missionVariables.GW_menu_page = "page1"
		missionVariables.GW_ops_page = null}
		}
    
    if(missionVariables.GW_personnel_page)    
        
    {   if(choice == "GW_continue")
    
            {mission.runScreen({title: "Personnel Files", messageKey: "GW_personnel_1", background: "GW_"+[missionVariables.GW_unit1_status]+".png", choicesKey: "GW_personnel_choices"}, this.choiceEvaluation);
            missionVariables.GW_personnel_page = "page1"
            missionVariables.GW_menu_page = null}
        
        if(choice == "GW_C_exit_personnel")
        
            {missionVariables.GW_personnel_page = null
            mission.runScreen({title: "Menu", messageKey: "GW_menu",  background: "GW_backdrop.png", choicesKey: "GW_menu_choices"}, this.choiceEvaluation);
            missionVariables.GW_personnel_page = null
			missionVariables.GW_menu_page = "page1"
            worldScripts.GWunitstatus.updateUnitStatus()}
            
        if(choice == "GW_B_replenish_personnel")
        
        {   switch(missionVariables.GW_personnel_page)
            
            {   case "page1":

		    {   if(missionVariables.GW_unit1_status == "Inactive")
                        {this.reset_GW_unit1()}
                        mission.runScreen({title: "Personnel Files", messageKey: "GW_personnel_1", background: "GW_"+[missionVariables.GW_unit1_status]+".png",  choicesKey: "GW_personnel_choices"}, this.choiceEvaluation);
                        break;}
                     
                    case "page2":     
                
                    {   if(missionVariables.GW_unit2_status == "Inactive")
                        {this.reset_GW_unit2()}
                        mission.runScreen({title: "Personnel Files", messageKey: "GW_personnel_2", background: "GW_"+[missionVariables.GW_unit2_status]+".png", choicesKey: "GW_personnel_choices"}, this.choiceEvaluation);
                        break;}
                    
                    case "page3":     
                
                    {   if(missionVariables.GW_unit3_status == "Inactive")
                        {this.reset_GW_unit3()}
                        mission.runScreen({title: "Personnel Files", messageKey: "GW_personnel_3", background: "GW_"+[missionVariables.GW_unit3_status]+".png", choicesKey: "GW_personnel_choices"}, this.choiceEvaluation);
                        break;}
                            
                    case "page4":     
                
                    {   if(missionVariables.GW_unit4_status == "Inactive")
                        {this.reset_GW_unit4()}
                        mission.runScreen({title: "Personnel Files", messageKey: "GW_personnel_4", background: "GW_"+[missionVariables.GW_unit4_status]+".png", choicesKey: "GW_personnel_choices"}, this.choiceEvaluation);
                        break;} 
            }
        }
                  
        if(choice == "GW_A_next_personnel")
        
            {    switch(missionVariables.GW_personnel_page)
            
                {   case "page1":

					{	mission.runScreen({title: "Personnel Files", messageKey: "GW_personnel_2", background: "GW_"+[missionVariables.GW_unit2_status]+".png", choicesKey: "GW_personnel_choices"}, this.choiceEvaluation);
                        missionVariables.GW_personnel_page = "page2"}
                        break;
                     
                    case "page2":     
                
                    {   mission.runScreen({title: "Personnel Files", messageKey: "GW_personnel_3",  background: "GW_"+[missionVariables.GW_unit3_status]+".png", choicesKey: "GW_personnel_choices"}, this.choiceEvaluation);
						missionVariables.GW_personnel_page = "page3"}
                        break;
                    
                    case "page3":     
                
                    {   mission.runScreen({title: "Personnel Files", messageKey: "GW_personnel_4",  background: "GW_"+[missionVariables.GW_unit4_status]+".png", choicesKey: "GW_personnel_choices"}, this.choiceEvaluation);
						missionVariables.GW_personnel_page = "page4"}
                        break;
                            
                    case "page4":     
                
                    {   mission.runScreen({title: "Personnel Files", messageKey: "GW_personnel_1",  background: "GW_"+[missionVariables.GW_unit1_status]+".png", choicesKey: "GW_personnel_choices"}, this.choiceEvaluation);
						missionVariables.GW_personnel_page = "page1"}
                        break;}            
                }
    }
    
    if(missionVariables.GW_loadout_page)    
        
    {    
        
        {   if(choice == "GW_continue")
        
            {mission.runScreen({title: "Resistance Command", messageKey: "GW_loadout_1", model: [missionVariables.GW_unit1_role], background: "GW_backdrop.png", choicesKey: "GW_loadout_choices"}, this.choiceEvaluation);
			mission.addMessageText(expandMissionText(missionVariables.GW_unit1_shipname+" specs"))
            mission.displayModel.position=[50,40,250]
			missionVariables.GW_loadout_page = "page1"
            missionVariables.GW_menu_page = null}
        
            
            if(choice == "GW_F_exit_loadout")
            {missionVariables.GW_loadout_page = null
            mission.runScreen({title: "Menu", background: "GW_backdrop.png", messageKey: "GW_menu",  choicesKey: "GW_menu_choices"}, this.choiceEvaluation);
            missionVariables.GW_loadout_page = null
			missionVariables.GW_menu_page = "page1"
			missionVariables.GW_switch_loadout = null}
            
            if(choice == "GW_A_next_loadout")
        
            {	
				switch(missionVariables.GW_loadout_page)
            
                {   case "page1":

					{	mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_loadout_2",  model: [missionVariables.GW_unit2_role], choicesKey: "GW_loadout_choices"}, this.choiceEvaluation);
                        missionVariables.GW_loadout_page = "page2"
						mission.displayModel.position=[50,40,250]
						mission.addMessageText(expandMissionText(missionVariables.GW_unit2_shipname+" specs"))}
                        break;
                     
                    case "page2":     
                
                    {   mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_loadout_3",  model: [missionVariables.GW_unit3_role], choicesKey: "GW_loadout_choices"}, this.choiceEvaluation);
						missionVariables.GW_loadout_page = "page3"
						mission.displayModel.position=[50,40,250]
                        mission.addMessageText(expandMissionText(missionVariables.GW_unit3_shipname+" specs"))}
						break;
                    
                    case "page3":     
                
                    {   mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_loadout_4",  model: [missionVariables.GW_unit4_role], choicesKey: "GW_loadout_choices"}, this.choiceEvaluation);
						missionVariables.GW_loadout_page = "page4"
						mission.displayModel.position=[50,40,250]
						mission.addMessageText(expandMissionText(missionVariables.GW_unit4_shipname+" specs"))}
                        break;
                            
                    case "page4":     
                
                    {   mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_loadout_1",  model: [missionVariables.GW_unit1_role], choicesKey: "GW_loadout_choices"}, this.choiceEvaluation);
						missionVariables.GW_loadout_page = "page1"
						mission.displayModel.position=[50,40,250]
						mission.addMessageText(expandMissionText(missionVariables.GW_unit1_shipname+" specs"))}
                        break;        
                }
            }
    
			
			if(choice == "GW_B_switch_loadout")
                
            {	
				++this.shipCount
				if(this.shipCount == this.availableShips.length)
				{this.shipCount = 0}
				
				//log(this.shipCount)
				//log(this.availableShips.length)
				
			
				{			
						
						switch(missionVariables.GW_loadout_page)
								
						{   case "page1":
							{
							missionVariables.GW_unit1_shipname = this.availableShips[this.shipCount]
							this.defineUnitRoleKey()
							missionVariables.GW_unit1_role = "GW_unit1_"+[this.unitRoleKey]
							mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_loadout_1",  model: [missionVariables.GW_unit1_role], choicesKey: "GW_loadout_choices"}, this.choiceEvaluation);
							mission.displayModel.position=[50,40,250]
							mission.addMessageText(expandMissionText(missionVariables.GW_unit1_shipname+" specs"))
							}
							break;
                
							case "page2":
							{missionVariables.GW_unit2_shipname = this.availableShips[this.shipCount]
							this.defineUnitRoleKey()
							missionVariables.GW_unit2_role = "GW_unit2_"+[this.unitRoleKey]
					        mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_loadout_2",  model: [missionVariables.GW_unit2_role], choicesKey: "GW_loadout_choices"}, this.choiceEvaluation);
							mission.displayModel.position=[50,40,250]
							mission.addMessageText(expandMissionText(missionVariables.GW_unit2_shipname+" specs"))
							}
					        break;
                
						    case "page3":
					        {missionVariables.GW_unit3_shipname = this.availableShips[this.shipCount]
							this.defineUnitRoleKey()
							missionVariables.GW_unit3_role = "GW_unit3_"+[this.unitRoleKey]
					        mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_loadout_3",  model: [missionVariables.GW_unit3_role], choicesKey: "GW_loadout_choices"}, this.choiceEvaluation);
							mission.displayModel.position=[50,40,250]
							mission.addMessageText(expandMissionText(missionVariables.GW_unit3_shipname+" specs"))
							}
					        break;
                        
							case "page4":
						    {missionVariables.GW_unit4_shipname = this.availableShips[this.shipCount]
							this.defineUnitRoleKey()
							missionVariables.GW_unit4_role = "GW_unit4_"+[this.unitRoleKey]
						    mission.runScreen({title: "Resistance Command", background: "GW_backdrop.png", messageKey: "GW_loadout_4",  model: [missionVariables.GW_unit4_role],choicesKey: "GW_loadout_choices"}, this.choiceEvaluation);
							mission.displayModel.position=[50,40,250]
							mission.addMessageText(expandMissionText(missionVariables.GW_unit4_shipname+" specs"))
							}
						    break;
						
					
					}
					
				
						
				}
			}
        }
    }
}








//Ship appearances

this.shipWillLaunchFromStation = function()
{
	
	//system.legacy_addSystemShips("feudal-hunting-lodge", 1, 0.0)
	//var currentDestination = system.shipsWithRole("player")[0]
	//var awayDestination = system.shipsWithRole("feudal-hunting-lodge")[0]
	//player.ship.position = awayDestination.position.add([0,0,1000])
	//player.ship.orientation = awayDestination.orientation
	
	
	
	if(missionVariables.GW_mission)	
	{if(missionVariables.GW_mission.indexOf("RUNNING") > 1 || missionVariables.GW_mission.indexOf("ENDGAME") > -1)
	    {if(system.countShipsWithRole("GWunit") == 0)
	        {this.spawnActiveUnits()
	        worldScripts.GWunitstatus.updateUnitStatus()
			player.ship.awardEquipment("EQ_GW_CONTROL_PANEL")}
	    }
	}
	
    if(missionVariables.GW_mission == "DEFEND_RUNNING")
    {if(system.countShipsWithRole("GW-small-opfor") == 0)
	{system.legacy_addSystemShips("GW-small-opfor", [missionVariables.GW_small_opfor_no], 0.9)
	system.legacy_addSystemShips("GW-medium-opfor", [missionVariables.GW_medium_opfor_no], 0.9)
	system.legacy_addSystemShips("police", 4, 1.0)}
	}
 
}

this.shipWillEnterWitchspace = function()

{
    if(missionVariables.GW_mission != "NONE_SET")
    {	this.checkUnitDistance()
		if(system.ID == missionVariables.GW_mission_location_no)
		{	mission.setInstructionsKey("GW_mission_return")
			if(missionVariables.GW_mission == "ASSAULT_RUNNING")
			missionVariables.GW_mission = "ASSAULT_FAILURE"
			if(missionVariables.GW_mission == "ASSASSINATE_RUNNING")
			missionVariables.GW_mission = "ASSASSINATE_FAILURE"
			if(missionVariables.GW_mission == "CLEAR_RUNNING")
			missionVariables.GW_mission = "CLEAR_FAILURE"
			if(missionVariables.GW_mission == "AMBUSH_RUNNING")
			missionVariables.GW_mission = "AMBUSH_FAILURE"
			if(missionVariables.GW_mission == "ASSIST_RUNNING")
			missionVariables.GW_mission = "ASSIST_FAILURE"
			if(missionVariables.GW_mission == "DEFEND_RUNNING")
			missionVariables.GW_mission = "DEFEND_FAILURE"
		}
	}
	if(missionVariables.GW_mission)
	{if(missionVariables.GW_mission.indexOf("SUCCESS") > 1)
	mission.setInstructionsKey("GW_mission_return")}
}


this.shipExitedWitchspace = function()

{   


if(missionVariables.GW_mission)
{if(missionVariables.GW_mission.indexOf("RUNNING") > 1 || missionVariables.GW_mission.indexOf("ENDGAME") > -1)
    {this.spawnActiveUnits()
	this.checkInUnits()}
}
    if(missionVariables.GW_mission == "ASSAULT_RUNNING" && system.ID == missionVariables.GW_mission_location_no)  
    {system.legacy_addSystemShips([missionVariables.GW_opfor_target_role], 1, 0.1)
    system.legacy_addSystemShips("GW-medium-opfor", [missionVariables.GW_medium_opfor_no], 0.1)
    system.legacy_addSystemShips("GW-small-opfor", [missionVariables.GW_small_opfor_no], 0.1)
    system.legacy_addSystemShips("GW-small-opfor", [missionVariables.GW_small_opfor_no], 0.1)}
	
	if(missionVariables.GW_mission == "ASSASSINATE_RUNNING" && system.ID == missionVariables.GW_mission_location_no)  
    {system.legacy_addSystemShips([missionVariables.GW_opfor_target_role], 1, 0.2)
	system.legacy_addSystemShips("GW-vip-opfor", 1, 0.2)
    system.legacy_addSystemShips("GW-small-opfor", [missionVariables.GW_small_opfor_no], 0.2)}
	
	if(missionVariables.GW_mission == "AMBUSH_RUNNING" && system.ID == missionVariables.GW_mission_location_no)  
    {system.legacy_addSystemShips("GW-transport-opfor", [missionVariables.GW_transport_opfor_no], 0.2)
    if(missionVariables.GW_medium_opfor_no > 0)
	system.legacy_addSystemShips("GW-medium-opfor", [missionVariables.GW_medium_opfor_no], 0.2)}
	
	if(missionVariables.GW_mission == "CLEAR_RUNNING" && system.ID == missionVariables.GW_mission_location_no)  
    {system.legacy_addSystemShips("trader", 10, 0.2)
	system.legacy_addSystemShips("scavenger", 10, 0.2)
	system.legacy_addSystemShips([missionVariables.GW_opfor_target_role], 1, 0.2)
    system.legacy_addSystemShips("GW-medium-opfor", [missionVariables.GW_medium_opfor_no], 0.2)
    system.legacy_addSystemShips("GW-small-opfor", [missionVariables.GW_small_opfor_no], 0.2)}
	
	
	if(missionVariables.GW_mission == "ASSIST_RUNNING" && system.ID == missionVariables.GW_mission_location_no)  
    {system.legacy_addSystemShips("trader", 4, 0.2)
	system.legacy_addSystemShips("GW-bluefor", 12, 0.2)
    system.legacy_addSystemShips("GW-medium-opfor", [missionVariables.GW_medium_opfor_no], 0.2)
    system.legacy_addSystemShips("GW-small-opfor", [missionVariables.GW_small_opfor_no], 0.2)
	system.legacy_addSystemShips("GW-large-opfor", [missionVariables.GW_large_opfor_no], 0.2)}
}

this.removeGW = function()
{missionVariables.GW_status = "COMPLETED"
player.ship.removeEquipment("EQ_GW_CONTROL_PANEL")
mission.setInstructionsKey(null, "GWunitstatus")
missionVariables.GW_unit1_missions = null
missionVariables.GW_unit2_missions = null
missionVariables.GW_unit3_missions = null
missionVariables.GW_unit4_missions = null
missionVariables.GW_player_missions = null
missionVariables.GW_player_kills = null
missionVariables.GW_menu_page = null
missionVariables.GW_opfor_destroyed = null
missionVariables.GW_bluefor_casualties = null
missionVariables.GW_player_squadron = null
missionVariables.GW_bluefor_morale = null
missionVariables.GW_opfor_morale = null
missionVariables.GW_bluefor_graph = null
missionVariables.GW_opfor_graph = null
missionVariables.GW_unit1_role = null
missionVariables.GW_unit2_role = null
missionVariables.GW_unit3_role = null
missionVariables.GW_unit4_role = null
missionVariables.GW_unit1_shipname = null
missionVariables.GW_unit2_shipname = null
missionVariables.GW_unit3_shipname = null
missionVariables.GW_unit4_shipname = null
missionVariables.GW_unit1_name = null
missionVariables.GW_unit1_race = null
missionVariables.GW_unit1_kills = null
missionVariables.GW_unit1_missions = null
missionVariables.GW_unit1_status = null
missionVariables.GW_unit1_rank = null
missionVariables.GW_unit1_rank_no = null
missionVariables.GW_unit1_history = null
missionVariables.GW_unit2_name = null
missionVariables.GW_unit2_race = null
missionVariables.GW_unit2_kills = null
missionVariables.GW_unit2_missions = null
missionVariables.GW_unit2_status = null
missionVariables.GW_unit2_rank = null
missionVariables.GW_unit2_rank_no = null
missionVariables.GW_unit2_history = null
missionVariables.GW_unit3_name = null
missionVariables.GW_unit3_race = null
missionVariables.GW_unit3_kills = null
missionVariables.GW_unit3_missions = null
missionVariables.GW_unit3_status = null
missionVariables.GW_unit3_rank = null
missionVariables.GW_unit3_rank_no = null
missionVariables.GW_unit3_history = null
missionVariables.GW_unit4_name = null
missionVariables.GW_unit4_race = null
missionVariables.GW_unit4_kills = null
missionVariables.GW_unit4_missions = null
missionVariables.GW_unit4_status = null
missionVariables.GW_unit4_rank = null
missionVariables.GW_unit4_rank_no = null
missionVariables.GW_unit4_history = null
}