this.name               = "GWtarget.js";
this.author               = "Ramirez";
this.copyright            = "July 2011";
this.description         = "Ship script for GW targets";
this.version            = "2.0";
              
this.shipSpawned = function ()

{
    if(missionVariables.GW_mission == "ASSAULT_RUNNING")
    {
	if(this.ship.primaryRole == "GW-medium-opfor")
	this.ship.switchAI("GW-medium-patrolAI.plist")
	if(this.ship.primaryRole == "GW-small-opfor")
	this.ship.switchAI("GW-small-patrolAI.plist")
    }
    
    if(missionVariables.GW_mission == "AMBUSH_RUNNING")
    {}
    
    if(missionVariables.GW_mission == "ASSASSINATE_RUNNING")
    {if(this.ship.primaryRole == "GW-vip-opfor")
		this.ship.displayName = missionVariables.GW_mission_vip_name}
    
	if(missionVariables.GW_mission == "DEFEND_RUNNING")
    {this.ship.switchAI("GW-attackstationAI.plist")}
	
    if(missionVariables.GW_mission == "CLEAR_RUNNING")
    {}
	
}

this.shipDied = function(whom)
{	++missionVariables.GW_mission_kills
	if(whom == player.ship)
		{++missionVariables.GW_player_kills}
	
	if(this.ship.hasRole == "GW-small-opfor")
	missionVariables.GW_mission_points += 5
	
	if(this.ship.hasRole == "GW-medium-opfor")
	missionVariables.GW_mission_points += 10
	
	if(this.ship.hasRole == "GW-large-opfor")
	missionVariables.GW_mission_points += 20
	
	if(missionVariables.GW_mission == "ASSAULT_RUNNING")
	
	{	if(this.ship.primaryRole == missionVariables.GW_opfor_target_role)
			{missionVariables.GW_mission_points += 40
			player.commsMessage("Leader to units: Primary target destroyed.")
			missionVariables.GW_mission = "ASSAULT_SUCCESS"}
	}
	
	if(missionVariables.GW_mission == "ASSASSINATE_RUNNING")
	
	{	if(this.ship.primaryRole == "GW-vip-opfor")
			{missionVariables.GW_mission_points += 40
			player.commsMessage("Leader to units: Primary target destroyed.")
			missionVariables.GW_mission = "ASSASSINATE_SUCCESS"}
	}
	
	
	
	if(missionVariables.GW_mission == "DEFEND_RUNNING")
		{
		if(missionVariables.GW_mission_kills == (missionVariables.GW_small_opfor_no + missionVariables.GW_medium_opfor_no))
			{player.commsMessage("Resistance Command: All enemies destroyed; return to base")
			missionVariables.GW_mission = "DEFEND_SUCCESS"}
		}
		
	if(missionVariables.GW_mission == "AMBUSH_RUNNING")
	{
		if(this.ship.primaryRole == "GW-transport-opfor")
		{missionVariables.GW_mission_points += 15
		++missionVariables.GW_transport_opfor_kills
			if(missionVariables.GW_transport_opfor_kills == missionVariables.GW_transport_opfor_no)
			{player.commsMessage("Leader to units: All enemy transports destroyed.")
			missionVariables.GW_mission = "AMBUSH_SUCCESS"}
		}
	}
	
	
	if(missionVariables.GW_mission == "CLEAR_RUNNING")
		{
		if(missionVariables.GW_mission_kills > (missionVariables.GW_small_opfor_no + missionVariables.GW_medium_opfor_no)*0.75)
			{player.commsMessage("Leader to units: We've scattered the enemy forces - we can return home.")
			missionVariables.GW_mission = "DEFEND_SUCCESS"}
		}
		
		
	if(missionVariables.GW_mission == "ASSIST_RUNNING")
		{
		if(missionVariables.GW_mission_kills > (missionVariables.GW_small_opfor_no + missionVariables.GW_medium_opfor_no + missionVariables.GW_large_opfor_no)*0.80)
			{player.commsMessage("Leader to units: Good work, we've fought off the enemy.")
			missionVariables.GW_mission = "ASSIST_SUCCESS"}
		}
	
	if(this.ship.primaryRole == "GW-mine")
	
	{++missionVariables.GW_endgame_kills
	if(missionVariables.GW_endgame_kills == 105)
	player.commsMessage("Resistance Command: Good, the distortion field is weakening. Carry on.")
	if(missionVariables.GW_endgame_kills > 155)
	missionVariables.GW_mission = "ENDGAME_1D"
	}
	
}
